Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview.table
Class ShortActionTreeTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          ix.iface.ui.table.AbstractIXTableModel
              ix.iface.ui.table.AbstractTreeTableModel
                  ix.iview.table.ActionTreeTableModel
                      ix.iview.table.ShortActionTreeTableModel

All Implemented Interfaces:
  TableMouseListener, UIDomainListener, java.io.Serializable, java.util.EventListener, javax.swing.table.TableModel

    public class ShortActionTreeTableModel

extends ActionTreeTableModel

A TreeTableModel that can display Refinement and Node objects.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class ix.iface.ui.table.AbstractIXTableModel
`AbstractIXTableModel.TableMarkListener`

Field Summary

Fields inherited from class ix.iview.table.ActionTreeTableModel
`PATTERN_COL, uiDomain`

Fields inherited from class ix.iface.ui.table.AbstractTreeTableModel
`CLOSEDC, CLOSEDI, INDENT_STEP, LEAFC, LEAFI, nameColumn, nodeMap, nodes, OPENC, OPENI, treeIconColumn`

Fields inherited from class ix.iface.ui.table.AbstractIXTableModel
`columnClasses, columnFields, columnNames, markedRows, objectClass, rows, rowsMarkable`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`ShortActionTreeTableModel(UIDomain uiDomain)`

Method Summary
`java.lang.Object` | `getCellValueAt(java.lang.Object o, int columnIndex)` Gets the cell value for normal cells (only one - the pattern).
`java.lang.String` | `getNameString(javax.swing.tree.TreeNode node)` Gets the name string for the given row object.
`(package private) void` | `setColumnNames()` Gets the strings that are to be used as column names.

Methods inherited from class ix.iview.table.ActionTreeTableModel
`constructAdded, constructAdded, constructEdited, constructRemoved, domainCleared, domainEdited, domainSet, getPattern, getSort, isOwnObject, makeIXTreeTableNode, refinementAdded, refinementRemoved, reloadData, resetData, setDomain, setSort`

Methods inherited from class ix.iface.ui.table.AbstractTreeTableModel
`addData, addTreeNode, addTreeTableModelListener, cellClicked, clearData, clearTable, deriveColumnFields, expandNode, fireNodeStructureChanged, fireObjectChanged, fireTreeStructureChanged, forceExpandNode, getNodeRow, getObjectRow, getParentsBold, getRowNode, getRowObject, getTreeNode, getTreeNode, getTreeNodeType, getTreeValueAt, getValueAt, isCellEditable, isExpanding, isParentsBold, ixTTNListToString, makeIXTreeTableNode, removeChildData, removeChildren, removeData, removeDataNode, removeNodes, removeTreeNode, setColumnFields, setColumnNames, setColumnPlaces, setData, setData, setParentsBold, unexpandNode, updateData`

Methods inherited from class ix.iface.ui.table.AbstractIXTableModel
`addData, addMarkListener, clearMarks, defaultGetCellValueAt, defaultSetColumnFields, fireTableMarkAdded, fireTableMarkCleared, fireTableMarkedAll, fireTableMarkRemoved, getColumnClass, getColumnCount, getColumnName, getColumnNames, getData, getMarkedObjects, getMarkedRows, getRowCount, isMarkable, isMarked, isMarkedEmpty, markAll, markRow, removeMarkListener, replaceData, setColumnClasses, setValueAt, unmarkRow`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShortActionTreeTableModel

    public ShortActionTreeTableModel(UIDomain uiDomain)

Method Detail

### getCellValueAt

    public java.lang.Object getCellValueAt(java.lang.Object o,
                                           int columnIndex)

  Gets the cell value for normal cells (only one - the pattern). The name cell is done in the AbstractTreeTableModel method getTreeValueAt.

  Overrides:
    `getCellValueAt` in class `ActionTreeTableModel`
  Returns:
    the value as an object, null for illegal columns.

### getNameString

    public java.lang.String getNameString(javax.swing.tree.TreeNode node)

  Gets the name string for the given row object.

  Overrides:
    `getNameString` in class `ActionTreeTableModel`

### setColumnNames

    void setColumnNames()

  Gets the strings that are to be used as column names.

  Overrides:
    `setColumnNames` in class `ActionTreeTableModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD